> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Insights Search

> Search insights using term.



## OpenAPI

````yaml post /v3/insights/search
openapi: 3.0.0
info:
  contact: {}
  description: Insights API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: Insights API
  version: 0.0.1
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v3/insights/search:
    post:
      tags:
        - Insights
      summary: v3 Insights Search
      description: Search insights using term.
      operationId: v3InsightsSearch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/insights.SearchRequest'
        description: Filter Insights body
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/insights.SearchResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    insights.SearchRequest:
      properties:
        limit:
          example: 10
          type: integer
        offset:
          example: 0
          type: integer
        order:
          example: asc or desc
          type: string
        order_by:
          example: >-
            name or published_at or created_at or updated_at or trending or
            popularity or id
          type: string
        query:
          type: string
        total:
          type: integer
      type: object
    insights.SearchResponse:
      properties:
        insights:
          items:
            $ref: '#/components/schemas/insights.Insight'
          type: array
      type: object
    httperror.httpError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    insights.Insight:
      properties:
        description:
          type: string
        id:
          type: integer
        images:
          items:
            $ref: '#/components/schemas/domain.InsightImage'
          type: array
        name:
          type: string
      type: object
    domain.InsightImage:
      properties:
        id:
          type: integer
        is_main:
          type: boolean
        page_preview_thumb_path:
          type: string
        page_thumb_path:
          type: string
        thumb_path:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````